/**
 *
 */
package de.intevation.gnv.transition.describedata;

import java.util.ArrayList;
import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class NamedArrayList<E> extends ArrayList<E> implements NamedCollection<E> {
    /**
     *
     */
    private static final long serialVersionUID = 8172229594749676354L;

    private String name = null;
    
    private boolean multiSelect = false;
    /**
     * Constructor
     */
    public NamedArrayList(String name) {
        this.name = name;
    }

    /**
     * Constructor
     * @param initialCapacity
     */
    public NamedArrayList(String name, int initialCapacity) {
        super(initialCapacity);
        this.name = name;
    }

    /**
     * Constructor
     * @param c
     */
    public NamedArrayList(String name, Collection<E> c) {
        super(c);
        this.name = name;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.NamedCollection#getName()
     */
    public String getName() {
        return this.name;
    }
    /**
     * @see de.intevation.gnv.transition.describedata.NamedCollection#isMultiSelect()
     */
    public boolean isMultiSelect() {
        return multiSelect;
    }

    /**
     * @see de.intevation.gnv.transition.describedata.NamedCollection#setMultiSelect(boolean)
     */
    public void setMultiSelect(boolean multiSelect) {
        this.multiSelect = multiSelect;
    }
}
